import 'dart:math';
import 'dart:ui';

import '../generated/client.pb.dart';

/**
 * Simple interfaxe to interact with the UI
 */
abstract class SquereData {
  Point<int> tile;

  SquereData(Point<int> this.tile);
  Stream<MonitorReply> getSteam();
  void paint(Point<int> point, Color color);
}